Skip to content

account

account management endpoints.

delete_account(request: AccountDeleteRequest, db: Annotated[AsyncSession, Depends(get_db)], session: Session = Depends(require_auth)) -> AccountDeleteResponse

remove local account rows and attempt unreferenced media cleanup.

this removes local data for:

  • tracks and albums
  • all likes given by the user
  • all comments made by the user
  • user preferences
  • all sessions
  • queue state
  • jobs

delete_atproto_records=false keeps user-owned PDS records and sources. When true, staging also attempts unreferenced protected source and member-private metadata deletion using the owner session. Deleted database rows do not prove remote objects were erased. See publishing access.

accept_terms(db: Annotated[AsyncSession, Depends(get_db)], session: Session = Depends(require_auth)) -> TermsAcceptanceResponse

accept terms of service. records timestamp of acceptance.

request body for account deletion.

response body for account deletion.

response after accepting terms.